#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 3 }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib;

$wait = 'http://host.com/dir1/qwe.html';
$out    = abs_url('qwe.html', 'http://host.com/dir1/a.html');
ok($out, $wait,             "in current dir, relative");

$wait = 'http://host.com/qwe.html';
$out    = abs_url('/qwe.html', 'http://host.com/dir1/a.html');
ok($out, $wait,             "from root, relative");

$wait = 'http://host2.com/qwe.html';
$out    = abs_url($wait, 'http://host.com/dir1/a.html');
ok($out, $wait,             "another host, absolute");

